Create memory
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/memory/inbound/http.go`.
/v1/memoriesRequires an authenticated tenant principal. Generated from the production route registered in internal/features/memory/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/memories" \ -H "Content-Type: application/json" \ -d '{}'{}List memories
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/memory/inbound/http.go`.
Delete memory
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/memory/inbound/http.go`.